レポートのスナップショットを保存する

特定の期間における施設の運用指標と財務指標を送信します。

パラメーター

  • snapshots array 必須

    保存するレポートスナップショットオブジェクトの配列。リクエストあたり最大 25 項目です。各項目には、facility_id(linking_identifier を使用しない場合は必須)または linking_identifier(facility_id を使用しない場合は必須)のいずれかを含める必要があります。

戻り値

同期操作を確認する簡単なメッセージを返します。

リクエスト

curl -X POST https://partner-api.performancehub.co/partner/v1/report-snapshots \
  -u sk_live_YOUR_PARTNER_SECRET_KEY: \
  -H "Content-Type: application/json" \
  -d '{
    "snapshots": [
      {
        "facility_id": "550e8400-e29b-41d4-a716-446655440000",
        // "linking_identifier": "branch_downtown",  // If using linking identifier
        "start_date": "2025-01-01",
        "end_date": "2025-01-31",
        "metrics": {
          "members": {
            "active": 1200,
            "new": 45,
            "cancelled": 12
          },
          "revenue": {
            "total_payments": 289000.00,
            "currency": "AUD"
          }
        }
      }
    ]
  }'

レスポンス

{
  "message": "Report snapshot sync successful."
}